Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class ResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean

Direct Known Subclasses:
  BeanDataSourceBean, ContentResourceBean, CustomDataSourceBean, DataTypeBean, FileResourceBean, InputControlBean, JdbcDataSourceBean, JndiJdbcDataSourceBean, ListOfValuesBean, MondrianConnectionBean, MondrianXmlaDefinitionBean, OlapUnitBean, QueryBean, ReportUnitBean, XmlaConnectionBean

    public abstract class ResourceBean

extends java.lang.Object

The classes that inherit from ResourceBean are used to go back and forth between the java objects they represent and XML. We are currently using the Castor library in order to marshal and unmarshal between java and XML. One thing to note is that Castor handles primitive fields such as int and boolean as XML attributes of the top level XML tag for the particular object. Castor automatically gives default values for these primitives. So, if something like boolean hasData() has not been explicitly set, Castor will give it a default value of "false". For int the default value is zero. Furthermore, if a String value such as String setDescrption() does not have a value (is null) it will not be included in the output (unmarshal) XML. So, this is different than how primitives are dealt with.

Constructor Summary
`ResourceBean()`

Method Summary
`protected abstract void` | `additionalCopyFrom(Resource res, ResourceExportHandler exportHandler)`
`protected abstract void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`void` | `copyFrom(Resource res, ResourceExportHandler exportHandler)`
`void` | `copyTo(Resource res, ResourceImportHandler importHandler)`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFolder()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`RepositoryObjectPermissionBean[]` | `getPermissions()`
`int` | `getVersion()`
`protected ResourceReferenceBean[]` | `handleReferences(java.util.List references, ResourceExportHandler exportHandler)`
`protected java.util.List` | `handleReferences(ResourceReferenceBean[] beanReferences, ResourceImportHandler importHandler)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setFolder(java.lang.String folderUri)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String name)`
`void` | `setPermissions(RepositoryObjectPermissionBean[] permissions)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBean

    public ResourceBean()

Method Detail

### copyFrom

    public final void copyFrom(Resource res,
                               ResourceExportHandler exportHandler)

### additionalCopyFrom

    protected abstract void additionalCopyFrom(Resource res,
                                               ResourceExportHandler exportHandler)

### copyTo

    public final void copyTo(Resource res,
                             ResourceImportHandler importHandler)

### additionalCopyTo

    protected abstract void additionalCopyTo(Resource res,
                                             ResourceImportHandler importHandler)

### handleReferences

    protected final ResourceReferenceBean[] handleReferences(java.util.List references,
                                                             ResourceExportHandler exportHandler)

### handleReferences

    protected java.util.List handleReferences(ResourceReferenceBean[] beanReferences,
                                              ResourceImportHandler importHandler)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getFolder

    public java.lang.String getFolder()

### setFolder

    public void setFolder(java.lang.String folderUri)

### getCreationDate

    public java.util.Date getCreationDate()

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getPermissions

    public RepositoryObjectPermissionBean[] getPermissions()

### setPermissions

    public void setPermissions(RepositoryObjectPermissionBean[] permissions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.